Batch add payments for a list of settlements
Add multiple payments for settlements in a single request. storeUid, orderUid and settlementUid are required for each payment. amount is in cents for each payment. If paidAt is nil for any payment, it is set to now. Returns 204 (No Content) if all payments are successfully created.
Required permissions: PAYMENT
post/tenants/{tenantUid}/payments/batch
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Responses
204
All payments were successfully created
No content
post/tenants/{tenantUid}/payments/batch
POST /v2/tenants/{tenantUid}/payments/batch HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166
{
"items": [
{
"storeUid": "text",
"orderUid": "text",
"settlementUid": "text",
"amount": 1,
"paidAt": "2026-01-01T00:00:00.000Z",
"externalReference": "text",
"paymentUid": "text"
}
]
}204
All payments were successfully created
No content
Last updated
Was this helpful?

